class Hash
  # Alias shorthand for #update.
  alias_method( :<<, :update )
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCHash < Test::Unit::TestCase

    def test_shift_update
      a = { :a => 1, :b => 2, :c => 3 }
      b = { :a => 0, :d => 4 }
      e = { :a => 0, :b => 2, :c => 3, :d => 4 }
      assert_equal( e, a << b )
    end

  end

=end
